package day09

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func TestPart1(t *testing.T) {
	r := Part1(
`0 3 6 9 12 15
1 3 6 10 15 21
10 13 16 21 30 45`)
	require.Equal(t, 114, r)
}

func TestPart2(t *testing.T) {
	r := Part2(
`0 3 6 9 12 15
1 3 6 10 15 21
10 13 16 21 30 45`)
	require.Equal(t, 2, r)
}
